igeo.io

## Enum I3DXML.PointAttributesType.PointSymbolType

- java.lang.Object
- - java.lang.Enum<I3DXML.PointAttributesType.PointSymbolType>
  - - igeo.io.I3DXML.PointAttributesType.PointSymbolType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<I3DXML.PointAttributesType.PointSymbolType>
  Enclosing class:
    I3DXML.PointAttributesType

      public static enum I3DXML.PointAttributesType.PointSymbolType
      extends java.lang.Enum<I3DXML.PointAttributesType.PointSymbolType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COINCIDENT`
    `CONCENTRIC`
    `CROSS`
    `DOT`
    `FULLCIRCLE`
    `FULLSQUARE`
    `PLUS`
    `SMALLDOT`
    `STAR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I3DXML.PointAttributesType.PointSymbolType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I3DXML.PointAttributesType.PointSymbolType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CROSS

          public static final I3DXML.PointAttributesType.PointSymbolType CROSS

    - #### PLUS

          public static final I3DXML.PointAttributesType.PointSymbolType PLUS

    - #### CONCENTRIC

          public static final I3DXML.PointAttributesType.PointSymbolType CONCENTRIC

    - #### COINCIDENT

          public static final I3DXML.PointAttributesType.PointSymbolType COINCIDENT

    - #### FULLCIRCLE

          public static final I3DXML.PointAttributesType.PointSymbolType FULLCIRCLE

    - #### FULLSQUARE

          public static final I3DXML.PointAttributesType.PointSymbolType FULLSQUARE

    - #### STAR

          public static final I3DXML.PointAttributesType.PointSymbolType STAR

    - #### DOT

          public static final I3DXML.PointAttributesType.PointSymbolType DOT

    - #### SMALLDOT

          public static final I3DXML.PointAttributesType.PointSymbolType SMALLDOT

  - ### Method Detail

    - #### values

          public static I3DXML.PointAttributesType.PointSymbolType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I3DXML.PointAttributesType.PointSymbolType c : I3DXML.PointAttributesType.PointSymbolType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I3DXML.PointAttributesType.PointSymbolType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null